body {
 background-color: white;
 background-size: cover;
 background-repeat: no-repeat;
 color: black;
 font-size: 16px;
 font-family: 'Roboto', Helvetica, sans-serif;
}

button {
 margin: 0.2vw;
}

input, select, option {
}

input[type="checkbox"] {
 width: 2.4vmin;
 height: 2.4vmin;
 -webkit-appearance: none;
 -moz-appearance: none;
 -o-appearance: none;
 appearance: none;
 border: 2px solid black;
}

input[type="checkbox"]:checked {
 background-color: lightgreen;
}

input[type="checkbox"]:checked:after {
 margin-left: 0.736vmin;
 margin-top: -0.0688vmin;
 width: 0.512vmin;
 height: 1.712vmin;
 border: solid white;
 border-width: 0 0.344vmin 0.344vmin 0;
 transform: rotate(45deg);
 content: "";
 display: inline-block;
}

div.menu {
 position: fixed;
 top: 0;
 left: 0;
 width: 15%;
 height: 100%;
 overflow-x: hidden;
 overflow-y: auto;
 background: #333;
 user-select: none;
 user-drag: none;
 border-right: 1px solid black;
}

div.menu #t1_logo {
 background-color: white;
 padding: 0.2vw;
 margin-bottom: 0.5vw;
}

div.menu img {
 width: 97%;
 display: block;
 margin-left: auto;
 margin-right: auto;
}

div.menu span {
 font-size: 20px;
 font-weight: bold;
 color: #ddd;
 margin-left: 0.2vw;
}

div.menu ul {
 margin-top: 0;
 margin-left: 0.2vw;
 color: #ccc;
}

div.menu ul li {
 font-size: 16px;
 cursor: pointer;
 list-style: none;
 border-radius: 1vw 0 0 1vw;
 padding-left: 0.4vw;
}

div.menu ul li.selected {
 color: #eee;
 background: #000;
}

div.menu ul li:hover {
 background: #444;
 color: #eee;
}

div.main {
 position: absolute;
 top: 0;
 left: 15%;
 right: 0;
 bottom: 0;
 background: #ddd;
}

div.main div {
 position: absolute;
 top: 1%;
 left: 1%;
 right: 1%;
 background: white;
}

div.main div h1 {
 font-size: 24px;
 margin-top: 0.16vmin;
 margin-bottom: 0.4vmin;
 margin-left: 0.4vmin;
}

div.main div span {
 margin: 0.4vmin;
 display: inline-block;
 font-family: monospace;
}

div.main div table {
 margin: 0.4vmin;
 font-family: monospace;
}

div.main td {
 padding-right: 1vmin;
}

div.main div div {
 display: none;
}

div.collapsed span::before {
 content: "+"                                 
}
                           
div.collapsed span {
 cursor: pointer; 
}
                   
div.collapsed ul {
 display: none;         
}
                           
div.expanded span::before {
 content: "-"
}
                   
div.expanded span {
 cursor: pointer;
}

div.main div.spinner {
 position: absolute;
 z-index: 1000;
 background: transparent;
 margin: auto;
 width: 30vmin;
 height: 30vmin;
 border: 3vmin solid rgba(255,255,255,0.3);
 border-radius: 50%;
 border-color: rgba(128,128,128,0.9);
 border-top-color: rgba(0,255,0,0.95);
 animation: spin 1s ease-in-out infinite;
 -webkit-animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
 to { -webkit-transform: rotate(360deg); }
}

@-webkit-keyframes spin {
 to { -webkit-transform: rotate(360deg); }
}

div.hidden {
 display: none;
}

div.confirm {
 display: none;
 position: fixed;
 left: 0;
 top: 0;
 width: 100%;
 height: 100%;
 background: rgba(0,0,0,0.7);
 z-index: 1000;
}

div.confirm div {
 position: absolute;
 top: 25%;
 left: 25%;
 width: 50%;
 height: 50%;
 z-index: 1001;
 background: black;
 color: white;
}

div.confirm div h1 {
 text-align: center;
}

div.confirm div span {
 margin: 1vmin;
}

aside.tooltip {
 display: inline-block;
 z-index: 1;
 padding-left: 0.4vmin;
 cursor: pointer;
}

aside.tooltip:before {
 border-radius: 2vmin;
 background: #FD0;
 content: "\24D8";
}

aside.tooltip section {
 display: none;
}

aside.tooltip:hover section, aside.tooltip.selected section {
 border-radius: 2vmin;
 padding: 0 1vmin;
 display: inline-block;
 position: relative;
 top: 0;
 left: 1vmin;
 z-index: 2;
 background: rgba(0, 0, 200, 0.5);
}

table th {
 padding-right: 1vmin;
}

table th:first-child {
 text-align: left;
}

table th:not(:first-child) {
 padding-left: 1vmin;
}

/* Mobile overrides */
@media only screen and (max-width: 500px) {
  body {
    font-size: 2.4vw;
  }

  div.menu span {
    font-size: 1.8vw;
  }

  div.menu ul li {
    font-size: 1.6vw;
  }

  div.main div h1 {
    font-size: 3.6vw;
  }
}
